import QtQuick 2.4
import Process 0.1
import Components 1.0

Rectangle {
    id: root
    width: 500
    height: 250

    color: "gray"
    border.color: "black"
    border.width: 2

    signal close()

    Component.onCompleted: {
        infoList.clear()
        machineinfo.readLowerboardInfo()
    }

    Connections {
        target: machineinfo
        onLowerboardInfoReceived: {
            var i
            for(i = 0; i < lowerboardInfo.length; i++){
                var element = { "infoItem":lowerboardInfo[i] }
                infoList.append(element)
            }
        }
    }

    Connections {
        target: main.isTft && root.visible ? keymapper : null

        onBackPressed: {
            main.debugKeys("backPressed", "PackageListView")

            root.close()
        }
    }

    ImageButton {
        id: close_button

        z: 200

        visible: main.isTouch
        width: 48
        height: 48
        anchors {   left: parent.right ; leftMargin: 5
            bottom: parent.top ; bottomMargin: 5
        }
        upimage: "../Keypad/KeyPad_X_Large.png"
        downimage: "../Keypad/KeyPad_X_Large.png"

        onClicked: close()
        mouseAreaScale: 1.3
    }

    ListView {
        id: listView

        clip: true
        height: parent.height
        anchors.fill: parent

        delegate: Item {
            width: parent.width
            height: infoItemLabel.paintedHeight
            Text {
                id: infoItemLabel
                text: infoItem ? infoItem : "" ;
                height: paintedHeight
                width: paintedWidth
                anchors.left: parent.left
                anchors.leftMargin: 10
                horizontalAlignment: Text.AlignLeft
                font { pixelSize: 30; family: "arial" }
            }
        }

        model: infoList
    }

    ListModel {
        id: infoList
    }

    focus: true
}
