// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Rectangle {
    id: root

    property string label: "----"
    property string labelColor: "black"
    property string onImage: "graphics/224/224_Data_Screen_Indicator_Down.png"
    property string offImage: "graphics/224/224_Data_Screen_Indicator_Disabled.png"
    property alias font: labelArea.font
    property int labelWidth: labelArea.implicitWidth
    property bool readOnly: false
    property bool value: false

    width: childrenRect.width
    height: visible ? 56 : 0
    x: 30

    color: "transparent"
    opacity: 1

    signal pressed()

    // attributes needed to be used in a KeyedControlList
    property bool selected: false
    property int navCursorWidth: root.width
    property bool disabled: !enabled

    function leftPressed() {}

    function rightPressed() {}

    function enterPressed() {
        if (!root.readOnly) {
            root.value = !root.value
            root.pressed()
        }
    }

    Text{
        id: labelArea
        width: root.labelWidth
        text: label
        anchors.verticalCenter: root.verticalCenter
        anchors.left: parent.left
        color: root.labelColor
        wrapMode: Text.WordWrap
    }

    Image {
        id: inlineImage
        visible: true
        source: root.value ? root.onImage : root.offImage
        anchors.left: labelArea.right
        anchors.verticalCenter: root.verticalCenter
        MouseArea {
            id: imageClickArea
            anchors.fill: parent
            enabled: !root.readOnly
            onPressed: {
                if (!root.readOnly) {
                    root.value = !root.value
                    root.pressed()
                }
            }
        }
    }

}
