// MessagePopup - A modal rectoval pop-up window with a text message.  Optional timeout.

import QtQuick 1.1

ModalDialog{
    id: root

    property alias messageColor: popupText.color
    property string message
    property int xOffset: 332
    property int yOffset: 161
    property bool clickThrough: false

    onTimedOut: hide()  // hide the pop-up when timer expires
    visible: false

    function showWithTimeout(seconds) {
        buzzer.buttonPress()
        startTimeout(seconds)
        show()
    }

    function showMessage(string, seconds) {
        message = string
        showWithTimeout(seconds)
    }

    BorderImage {   // pop-up dialog background
        id: border

        x: root.xOffset
        y: root.yOffset
        width: 800
        height: 350
        source: "graphics/Pop_Up_Lrg_Grey.png"
        border { top: 152; bottom: 165; left: 145; right: 144 }

        Text {
            id: popupText

            anchors.fill: parent
            anchors.margins: 30
            anchors.verticalCenter: parent.verticalCenter
            color: "#ffffff"
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 50
            text: qsTr(root.message) + application.emptyString
        }

        MouseArea{
            anchors.fill: parent
            onClicked: if(dismissable) root.dismissed()
            visible: !clickThrough
        }

    }
}
